<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-wifi-info.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-wifi-info.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-wifi-info_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _MCM_WIFI_INFO_H_</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define _MCM_WIFI_INFO_H_</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="mcm-base-info_8h.html">mcm-base-info.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<a class="code" href="mcm-wifi-info_8h.html#a4f10d1aa692c35debef1a7e13683b7b3">mcm_wifi_get_all_properties</a>(<span class="keywordtype">char</span>* interfaceName,<span class="keywordtype">int</span>* arr_len, <a class="code" href="structmcm__property__info.html">mcm_property_info</a>** info_arr);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<a class="code" href="mcm-wifi-info_8h.html#a682a4e564a2efba3eaac897188234487">mcm_wifi_get_property</a>(<span class="keywordtype">char</span>* interfaceName, <span class="keywordtype">char</span>* <a class="code" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, <span class="keywordtype">char</span>** <a class="code" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>, <span class="keywordtype">int</span> cached);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<a class="code" href="mcm-wifi-info_8h.html#a6b499a079dee47cc76c1a698c788458d">mcm_get_wifi_info</a>(<span class="keywordtype">char</span>* interfaceName, <a class="code" href="structmcm__wifi__info.html">mcm_wifi_info</a>* wifi_info);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<a class="code" href="mcm-wifi-info_8h.html#a0e96b2cee840eb77cf7b25c23c8cfdc2">mcm_get_wifi_aplist</a>(<span class="keywordtype">char</span>* interfaceName, <span class="keywordtype">int</span>* num, <a class="code" href="structmcm__wifi__ap.html">mcm_wifi_ap</a>** apilist);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="amcm-base-info_8h_html"><div class="ttname"><a href="mcm-base-info_8h.html">mcm-base-info.h</a></div></div>
<div class="ttc" id="amcm-base-info_8h_html_a63b548928a16f43766049f86ef90671b"><div class="ttname"><a href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a></div><div class="ttdeci">char * propertyValue</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:1</div></div>
<div class="ttc" id="amcm-base-info_8h_html_ad20b8c57a45da862d3567815284924bf"><div class="ttname"><a href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a></div><div class="ttdeci">char * propertyName</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:0</div></div>
<div class="ttc" id="amcm-wifi-info_8h_html_a0e96b2cee840eb77cf7b25c23c8cfdc2"><div class="ttname"><a href="mcm-wifi-info_8h.html#a0e96b2cee840eb77cf7b25c23c8cfdc2">mcm_get_wifi_aplist</a></div><div class="ttdeci">int mcm_get_wifi_aplist(char *interfaceName, int *num, mcm_wifi_ap **apilist)</div><div class="ttdoc">A help function for get wifi ap lists.</div><div class="ttdef"><b>Definition:</b> mcm-wifi-info.c:107</div></div>
<div class="ttc" id="amcm-wifi-info_8h_html_a4f10d1aa692c35debef1a7e13683b7b3"><div class="ttname"><a href="mcm-wifi-info_8h.html#a4f10d1aa692c35debef1a7e13683b7b3">mcm_wifi_get_all_properties</a></div><div class="ttdeci">int mcm_wifi_get_all_properties(char *interfaceName, int *arr_len, mcm_property_info **info_arr)</div><div class="ttdoc">A help function for get all ethernet properties.</div><div class="ttdef"><b>Definition:</b> mcm-wifi-info.c:15</div></div>
<div class="ttc" id="amcm-wifi-info_8h_html_a682a4e564a2efba3eaac897188234487"><div class="ttname"><a href="mcm-wifi-info_8h.html#a682a4e564a2efba3eaac897188234487">mcm_wifi_get_property</a></div><div class="ttdeci">int mcm_wifi_get_property(char *interfaceName, char *propertyName, char **propertyValue, int cached)</div><div class="ttdoc">A help function for get property.</div><div class="ttdef"><b>Definition:</b> mcm-wifi-info.c:40</div></div>
<div class="ttc" id="amcm-wifi-info_8h_html_a6b499a079dee47cc76c1a698c788458d"><div class="ttname"><a href="mcm-wifi-info_8h.html#a6b499a079dee47cc76c1a698c788458d">mcm_get_wifi_info</a></div><div class="ttdeci">int mcm_get_wifi_info(char *interfaceName, mcm_wifi_info *wifi_info)</div><div class="ttdoc">A help function for get wifi informations.</div><div class="ttdef"><b>Definition:</b> mcm-wifi-info.c:50</div></div>
<div class="ttc" id="astructmcm__property__info_html"><div class="ttname"><a href="structmcm__property__info.html">mcm_property_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:40</div></div>
<div class="ttc" id="astructmcm__wifi__ap_html"><div class="ttname"><a href="structmcm__wifi__ap.html">mcm_wifi_ap</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:160</div></div>
<div class="ttc" id="astructmcm__wifi__info_html"><div class="ttname"><a href="structmcm__wifi__info.html">mcm_wifi_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:118</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
